- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Smart_Data Struct Reference

## Data Fields
Evas_Coord | x
Evas_Coord | y
Evas_Coord | w
Evas_Coord | h
Eina_List * | children
Evas_Object * | smart_obj
int | cols
int | rows
Evas_Coord | contents_w
Evas_Coord | contents_h
Evas_Coord | min_row_h
Evas_Coord | max_row_h
Evas_Coord | min_w
Evas_Coord | max_w
Evas_Coord | min_h
Evas_Coord | max_h
Smart_Data_Colinfo * | colinfo
int | freeze
double | scroll_x
double | scroll_y
double | align_x
double | align_y
unsigned char | changed: 1
unsigned char | change_child: 1
unsigned char | change_child_list: 1
unsigned char | change_cols: 1
unsigned char | change_scroll: 1
unsigned char | need_layout: 1
unsigned char | homogenous: 1
| EINA_REFCOUNT
Emotion_Engine_Instance * | engine_instance
const char * | file
Evas_Object * | smartobj
Evas_Object * | obj
Evas_Object * | bg
Ecore_Job * | job
char * | title
struct {
char * info
double stat
} | progress
struct {
char * file
int num
} | ref
struct {
int button_num
int button
} | spu
struct {
int l
int r
int t
int b
Evas_Object * clipper
} | crop
struct {
int w
int h
} | video
struct {
double w
double h
} | fill
double | ratio
double | pos
double | remember_jump
double | seek_pos
double | len
Emotion_Module_Options | module_options
Emotion_Suspend | state
Emotion_Aspect | aspect
Ecore_Animator * | anim
Eina_Bool | open: 1
Eina_Bool | play: 1
Eina_Bool | remember_play: 1
Eina_Bool | seek: 1
Eina_Bool | seeking: 1